org.keycloak.models

## Class LDAPConstants

- java.lang.Object
- - org.keycloak.models.LDAPConstants

-     public class LDAPConstants
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASE_DN`
    `static String` | `BATCH_SIZE_FOR_SYNC`
    `static String` | `BIND_CREDENTIAL`
    `static String` | `BIND_DN`
    `static String` | `CONNECTION_POOLING`
    `static String` | `CONNECTION_URL`
    `static int` | `DEFAULT_BATCH_SIZE_FOR_SYNC`
    `static String` | `PAGINATION`
    `static String` | `USER_ACCOUNT_CONTROLS_AFTER_PASSWORD_UPDATE`
    `static String` | `USER_DN_SUFFIX`
    `static String` | `USER_OBJECT_CLASSES`
    `static String` | `USERNAME_LDAP_ATTRIBUTE`
    `static String` | `VENDOR`
    `static String` | `VENDOR_ACTIVE_DIRECTORY`
    `static String` | `VENDOR_OTHER`
    `static String` | `VENDOR_RHDS`
    `static String` | `VENDOR_TIVOLI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VENDOR

          public static final String VENDOR

      See Also:
        Constant Field Values

    - #### VENDOR_RHDS

          public static final String VENDOR_RHDS

      See Also:
        Constant Field Values

    - #### VENDOR_ACTIVE_DIRECTORY

          public static final String VENDOR_ACTIVE_DIRECTORY

      See Also:
        Constant Field Values

    - #### VENDOR_OTHER

          public static final String VENDOR_OTHER

      See Also:
        Constant Field Values

    - #### VENDOR_TIVOLI

          public static final String VENDOR_TIVOLI

      See Also:
        Constant Field Values

    - #### USERNAME_LDAP_ATTRIBUTE

          public static final String USERNAME_LDAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### USER_OBJECT_CLASSES

          public static final String USER_OBJECT_CLASSES

      See Also:
        Constant Field Values

    - #### CONNECTION_URL

          public static final String CONNECTION_URL

      See Also:
        Constant Field Values

    - #### BASE_DN

          public static final String BASE_DN

      See Also:
        Constant Field Values

    - #### USER_DN_SUFFIX

          public static final String USER_DN_SUFFIX

      See Also:
        Constant Field Values

    - #### BIND_DN

          public static final String BIND_DN

      See Also:
        Constant Field Values

    - #### BIND_CREDENTIAL

          public static final String BIND_CREDENTIAL

      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING

          public static final String CONNECTION_POOLING

      See Also:
        Constant Field Values

    - #### PAGINATION

          public static final String PAGINATION

      See Also:
        Constant Field Values

    - #### BATCH_SIZE_FOR_SYNC

          public static final String BATCH_SIZE_FOR_SYNC

      See Also:
        Constant Field Values

    - #### DEFAULT_BATCH_SIZE_FOR_SYNC

          public static final int DEFAULT_BATCH_SIZE_FOR_SYNC

      See Also:
        Constant Field Values

    - #### USER_ACCOUNT_CONTROLS_AFTER_PASSWORD_UPDATE

          public static final String USER_ACCOUNT_CONTROLS_AFTER_PASSWORD_UPDATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LDAPConstants

          public LDAPConstants()

Copyright © 2015. All Rights Reserved.